<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:22:05 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>org.eclipse.papyrus.designer.components.FCM (org.eclipse.papyrus.designer.components.fcm.profile 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<h1 class="bar"><a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/package-summary.html" target="classFrame">org.eclipse.papyrus.designer.components.FCM</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="Assembly.html" title="interface in org.eclipse.papyrus.designer.components.FCM" target="classFrame"><span class="interfaceName">Assembly</span></a></li>
<li><a href="CodeGenOptions.html" title="interface in org.eclipse.papyrus.designer.components.FCM" target="classFrame"><span class="interfaceName">CodeGenOptions</span></a></li>
<li><a href="CompImplTemplate.html" title="interface in org.eclipse.papyrus.designer.components.FCM" target="classFrame"><span class="interfaceName">CompImplTemplate</span></a></li>
<li><a href="CompToOOmapping.html" title="interface in org.eclipse.papyrus.designer.components.FCM" target="classFrame"><span class="interfaceName">CompToOOmapping</span></a></li>
<li><a href="ConfigurableElementInstance.html" title="interface in org.eclipse.papyrus.designer.components.FCM" target="classFrame"><span class="interfaceName">ConfigurableElementInstance</span></a></li>
<li><a href="Connector.html" title="interface in org.eclipse.papyrus.designer.components.FCM" target="classFrame"><span class="interfaceName">Connector</span></a></li>
<li><a href="ContainerRule.html" title="interface in org.eclipse.papyrus.designer.components.FCM" target="classFrame"><span class="interfaceName">ContainerRule</span></a></li>
<li><a href="FCMFactory.html" title="interface in org.eclipse.papyrus.designer.components.FCM" target="classFrame"><span class="interfaceName">FCMFactory</span></a></li>
<li><a href="FCMPackage.html" title="interface in org.eclipse.papyrus.designer.components.FCM" target="classFrame"><span class="interfaceName">FCMPackage</span></a></li>
<li><a href="FCMPackage.Literals.html" title="interface in org.eclipse.papyrus.designer.components.FCM" target="classFrame"><span class="interfaceName">FCMPackage.Literals</span></a></li>
<li><a href="Fragment.html" title="interface in org.eclipse.papyrus.designer.components.FCM" target="classFrame"><span class="interfaceName">Fragment</span></a></li>
<li><a href="ImplementationGroup.html" title="interface in org.eclipse.papyrus.designer.components.FCM" target="classFrame"><span class="interfaceName">ImplementationGroup</span></a></li>
<li><a href="InstanceConfigurator.html" title="interface in org.eclipse.papyrus.designer.components.FCM" target="classFrame"><span class="interfaceName">InstanceConfigurator</span></a></li>
<li><a href="InteractionComponent.html" title="interface in org.eclipse.papyrus.designer.components.FCM" target="classFrame"><span class="interfaceName">InteractionComponent</span></a></li>
<li><a href="InterceptionRule.html" title="interface in org.eclipse.papyrus.designer.components.FCM" target="classFrame"><span class="interfaceName">InterceptionRule</span></a></li>
<li><a href="Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM" target="classFrame"><span class="interfaceName">Port</span></a></li>
<li><a href="PortKind.html" title="interface in org.eclipse.papyrus.designer.components.FCM" target="classFrame"><span class="interfaceName">PortKind</span></a></li>
<li><a href="RuleApplication.html" title="interface in org.eclipse.papyrus.designer.components.FCM" target="classFrame"><span class="interfaceName">RuleApplication</span></a></li>
<li><a href="Singleton.html" title="interface in org.eclipse.papyrus.designer.components.FCM" target="classFrame"><span class="interfaceName">Singleton</span></a></li>
<li><a href="TemplatePort.html" title="interface in org.eclipse.papyrus.designer.components.FCM" target="classFrame"><span class="interfaceName">TemplatePort</span></a></li>
<li><a href="UseInstanceConfigurator.html" title="interface in org.eclipse.papyrus.designer.components.FCM" target="classFrame"><span class="interfaceName">UseInstanceConfigurator</span></a></li>
</ul>
<h2 title="Enums">Enums</h2>
<ul title="Enums">
<li><a href="ContainerRuleKind.html" title="enum in org.eclipse.papyrus.designer.components.FCM" target="classFrame">ContainerRuleKind</a></li>
<li><a href="InterceptionKind.html" title="enum in org.eclipse.papyrus.designer.components.FCM" target="classFrame">InterceptionKind</a></li>
</ul>
</div>
</body>
</html>
